Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ide
Class EscapeJavaPluginProjectWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.amp.escape.ide.PluginProjectWizard
              org.eclipse.amp.escape.ide.PluginTemplateProjectWizard
                  org.eclipse.amp.escape.ide.EscapeJavaPluginProjectWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

    public class EscapeJavaPluginProjectWizard

extends PluginTemplateProjectWizard

Author:
  mparker

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`EscapeJavaPluginProjectWizard()`

Method Summary
`java.lang.String[]` | `getNatures()`
`java.lang.String` | `getPluginID()`
`java.lang.String` | `getProjectTypeName()`
`java.lang.String` | `getSourceDirName()`

Methods inherited from class org.eclipse.amp.escape.ide.PluginTemplateProjectWizard
`copyFiles, createFiles, streamFromPlugin`

Methods inherited from class org.eclipse.amp.escape.ide.PluginProjectWizard
`addBuilders, addClasspaths, addPages, getProject, init, performFinish`

Methods inherited from class org.eclipse.jface.wizard.Wizard
`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### EscapeJavaPluginProjectWizard

    public EscapeJavaPluginProjectWizard()

Method Detail

### getProjectTypeName

    public java.lang.String getProjectTypeName()

  Overrides:
    `getProjectTypeName` in class `PluginProjectWizard`

### getNatures

    public java.lang.String[] getNatures()

  Overrides:
    `getNatures` in class `PluginProjectWizard`

### getPluginID

    public java.lang.String getPluginID()

  Overrides:
    `getPluginID` in class `PluginProjectWizard`

### getSourceDirName

    public java.lang.String getSourceDirName()

  Overrides:
    `getSourceDirName` in class `PluginProjectWizard`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD